Subject: Re: [PROBLEM] Checkout from cloned repository does not work

From: Pekka Enberg <[email-masked]>
Date: Sat, 03 Sep 2005 09:49:38 +0300

Hi Junio,

On Fri, 2005-09-02 at 11:13 -0700, Junio C Hamano wrote:
> You would need 'chmod +x git-test.git/hooks/post-update' here if
> you are allowing people to pull over http from this repository.

Aah, thanks! That fixed it for me.

On Fri, 2005-09-02 at 11:13 -0700, Junio C Hamano wrote:
> The problem is that 'git clone' does not support cloning over
> http from servers that are not properly prepared.  This 'git
> clone' exited with non-zero status with an error message, didn't
> it?

I double checked that -- no, it does not print out an error. I copied
the exact output in the original mail. 

On Fri, 2005-09-02 at 11:13 -0700, Junio C Hamano wrote:
> +[NOTE]
> +If you plan to publish this repository to be accessed over http,
> +you should do `chmod +x my-git.git/hooks/post-update` at this
> +point.

How about "must do chmod before pushing anything to this repository"? I
think I tried chmod at some point but always did it too late (i.e. after
the initial push).

			Pekka